Bug 680147 - gnome control-center and gnome-user-share crash on manually created account
gnome control-center and gnome-user-share crash on manually created account
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-user-share (Show other bugs)
rawhide
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-24 08:38 EST by moromario
Modified: 2011-05-04 10:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-04 10:32:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description moromario 2011-02-24 08:38:15 EST
Description of problem:
The account manager crash on a previously command line created user.
 

Version-Release number of selected component (if applicable):
Package:    	gnome-user-share-2.30.2-4.fc15
Latest Crash:	Thu 24 Feb 2011 01:22:47 PM 
Command:    	/usr/libexec/gnome-user-share
Reason:     	Process /usr/libexec/gnome-user-share was killed by signal 6 (SIGABRT)
Comment:    	None
Bug Reports:	

Package:    	control-center-1:2.91.6-8.fc15
Latest Crash:	Thu 24 Feb 2011 01:23:56 PM 
Command:    	gnome-control-center --overview
Reason:     	Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
Comment:    	None
Bug Reports:	


How reproducible:
 Always.


Steps to Reproduce:
1. Add a new user from command line with adduser,
2. go to system settings > users accounts
3. unlock the list and remove the manually created account
4. choose delete files
  
Actual results:
control center crash and the user is not deleted


Expected results:
The user is deleted


Additional info:

dmesg extract:

 gnome-control-c[1936]: segfault at 4 ip 0077a161 sp bf8371f0 error 4 in libdbus-glib-1.so.2.1.0[769000+24000]
Comment 1 Matthias Clasen 2011-04-27 19:15:54 EDT
The crash should be fixed in accountsservice-0.6.9-1.fc15 and control-center-3.0.1-1.fc15
Comment 2 Bastien Nocera 2011-05-04 10:32:07 EDT
Both of which should now be in stable.

Note You need to log in before you can comment on or make changes to this bug.